metadata:
  id: adguardhome-sync
  name:
    en: Adguard Home Sync
  version: 0.1.0
  displayVersion: 0.6.17
  category:
    af: Network
    ar: شبكة
    ca: Xarxa
    cs: Network
    da: Network
    de: Netzwerk
    el: Δίκτυο
    en: Network
    es: Red
    fi: Network
    fr: Réseau
    he: Network
    hu: Hálózat
    it: Rete
    ja: ネットワーク
    ko: 네트워크
    nl: Netwerk
    no: Network
    pl: Sieć
    pt: Rede
    ro: Rețea
    ru: Сеть
    sr: Network
    sv: Nätverk
    tr: Ağ
    uk: Мережа
    vi: Mạng
    zh: 網路
  tagline:
    en: Synchronize AdGuard Home config to replicas
  developers: {}
  description:
    en: Synchronize AdGuardHome config to replica instances
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  exposesPermissions: []
  repos:
    Source code: https://github.com/bakito/adguardhome-sync
  support: ''
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/adguardhome-sync/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  settings:
    ADGUARDHOME_SYNC_CRON:
      type: String
      name:
        en: Cron Schedule
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: true
      placeholder: null
    ADGUARDHOME_SYNC_ORIGIN_URL:
      type: String
      name:
        en: AdGuard Home Origin URL
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: true
      placeholder: null
    ADGUARDHOME_SYNC_REPLICA_URL:
      type: String
      name:
        en: AdGuard Home Replica URL
      description:
        en: ''
      default: null
      max_len: null
      string_type: null
      required: true
      placeholder: null
  volumes:
    data:
      minimum_size: 1073741824
      recommended_size: 5368709120
      name:
        en: App data
      description:
        en: All data generated by the app
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: !MainVolumeFromSubdir data
containers:
  adguardhome-sync: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command:
      - run
      - --config
      - /config/adguardhome-sync.yaml
      entrypoint: null
      environment: {}
      hostname: null
      image: ghcr.io/bakito/adguardhome-sync:v0.6.17
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /config/adguardhome-sync.yaml
        sub_path: data/adguardhome-sync.yaml
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  adguardhome-sync:
    target_container: adguardhome-sync
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  adguardhome-sync-nirvati-ingress:
    target_container: adguardhome-sync
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        8080: 8080
    cluster_ip: null
    network_policy: null
ingress:
- target_service: adguardhome-sync-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 8080
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
